## org.apache.fop.pdf
Class PDFAction

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFObject
            |
            +--org.apache.fop.pdf.PDFAction

Direct Known Subclasses:
  PDFGoTo, PDFGoToRemote, PDFInternalLink, PDFUri

public abstract class PDFAction
extends PDFObject

class representing an action object.

Fields inherited from class org.apache.fop.pdf.PDFObject
`generation, number`

Constructor Summary
`PDFAction()` empty constructor for PDFAction.
`PDFAction(int number)` create an Action object.

Method Summary
`abstract java.lang.String` `getAction()` represent the action to call this method should be implemented to return the action which gets called by the Link Object.
`abstract byte[]` `toPDF()` represent the object in PDF this method should be implemented to return the PDF which is to be generated by the Action object

Methods inherited from class org.apache.fop.pdf.PDFObject
`getNumber, output, referencePDF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFAction

    public PDFAction(int number)

  create an Action object. this constructor is used for passing on the object number to the PDFObject
  Parameters:
    `number` - the object's number

### PDFAction

    public PDFAction()

  empty constructor for PDFAction. this constructor is used when there is no additional object being created

Method Detail

### getAction

    public abstract java.lang.String getAction()

  represent the action to call this method should be implemented to return the action which gets called by the Link Object. This could be a reference to another object or the specific destination of the link
  Returns:
    the action to place next to /A within a Link

### toPDF

    public abstract byte[] toPDF()

  represent the object in PDF this method should be implemented to return the PDF which is to be generated by the Action object
  Returns:
    the PDF string

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.